commit:     3830bc43ee9ab7d182d7253fca02e2ee46b8bd38
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sat Jul 10 04:24:00 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Sat Jul 10 04:24:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3830bc43

sys-power/amdgpu-fan: enable tests

Closes: https://bugs.gentoo.org/801013
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 ...gpu-fan-0.1.0.ebuild => amdgpu-fan-0.1.0-r1.ebuild} | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

diff --git a/sys-power/amdgpu-fan/amdgpu-fan-0.1.0.ebuild 
b/sys-power/amdgpu-fan/amdgpu-fan-0.1.0-r1.ebuild
similarity index 75%
rename from sys-power/amdgpu-fan/amdgpu-fan-0.1.0.ebuild
rename to sys-power/amdgpu-fan/amdgpu-fan-0.1.0-r1.ebuild
index 157d1f880..0a54d7d45 100644
--- a/sys-power/amdgpu-fan/amdgpu-fan-0.1.0.ebuild
+++ b/sys-power/amdgpu-fan/amdgpu-fan-0.1.0-r1.ebuild
@@ -1,14 +1,16 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
-PYTHON_COMPAT=( python3_{7,8,9} )
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
 
 inherit distutils-r1 systemd
 
 DESCRIPTION="Fan controller for AMD graphics cards running the amdgpu driver 
on Linux"
 HOMEPAGE="https://github.com/zzkW35/amdgpu-fan";
 SRC_URI="https://github.com/zzkW35/amdgpu-fan/archive/refs/tags/${PV}.tar.gz 
-> ${P}.tar.gz"
+
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64"
@@ -19,10 +21,22 @@ RDEPEND="
        dev-python/pyyaml[${PYTHON_USEDEP}]
 "
 DEPEND="${PYTHON_DEPS}"
+
 REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 DOCS=( README.md )
 
+distutils_enable_tests unittest
+
+src_prepare() {
+       sed -e "s|PROJECTVERSION|${PV}|g" -i setup.py || die
+       default
+}
+
 python_install_all() {
        distutils-r1_python_install_all
        systemd_dounit amdgpu-fan.service
 }
+
+python_test() {
+       "${EPYTHON}" -m unittest discover tests || die
+}

Reply via email to